Package csb :: Package statistics :: Module ars

[frames] | no frames]

# Module ars

source code

Adaptive Rejection Sampling (ARS)

The ARS class generates a single random sample from a univariate distribution specified by an instance of the LogProb class, implemented by the user. An instance of LogProb returns the log of the probability density and its derivative. The log probability function passed must be concave.

The user must also supply initial guesses. It is not essential that these values be very accurate, but performance will generally depend on their accuracy.

Classes
| ARS
| Envelope Envelope function for adaptive rejection sampling.
| Gauss
| LogProb

Variables
| __package__ = ``'``csb.statistics``'``
| exp = `<ufunc 'exp'>`
| log = `<ufunc 'log'>`